# Import CSV Mappings

The easiest way to add mappings to a project at scale is via a CSV file. CSV mappings are added to a project as individual transfers/move jobs and you can then treat them like any other mappings.&#x20;

### Uploading a CSV file <a href="#id-01h8055v9a9w0zr3b44kg9wqam" id="id-01h8055v9a9w0zr3b44kg9wqam"></a>

Within your project, click **+** **Add** **Transfer**.  Select **Import Transfers from CSV**.&#x20;

### CSV Formatting <a href="#id-01h8055v9asmr1cykjcc57791m" id="id-01h8055v9asmr1cykjcc57791m"></a>

When executing a file migration, the CSV uses a simple `source, destination` format.

```
source,destination
/user:michael@couchdrop.io,/user:donald@newdomain.io
/sharepointsite:/sites/Accounting:/Documents,/teamdrive:Accounting
```

CSV prefixes can target special objects like users, drives, on-premises agents, or mailboxes.&#x20;

<table data-full-width="true"><thead><tr><th width="447.107421875">Prefix Format</th><th width="489.130859375">Example</th><th>Supported Store Types</th></tr></thead><tbody><tr><td>/user:&#x3C;username or email></td><td>/user:michael@couchdrop.io</td><td>Boomsync, Box, Dropbox Business, Egnyte, Google Workspace, OneDrive, pCloud, Sharefile, Sharepoint, Legacy Sharepoint, Amazon Workdocs</td></tr><tr><td>/teamdrive:&#x3C;team drive name></td><td>/teamdrive:My Team Drive</td><td>Boomsync, Dropbox Business, Egnyte, Google Workspace, Huddle, Sharefile</td></tr><tr><td>/teamdriveid:&#x3C;team drive ID></td><td>/teamdriveid:0AI2ezk6QbPvvUk9PVA</td><td>Google Workspace</td></tr><tr><td>/&#x3C;drive letter>:/&#x3C;path></td><td>/D:/</td><td>Windows/OSX Agent</td></tr><tr><td>/&#x3C;uncpath>/&#x3C;path></td><td>/REMOTESERVER/Shared Data</td><td>Windows/OSX Agent</td></tr><tr><td>/mailbox:&#x3C;email_address></td><td>/mailbox:chris@couchdrop.io</td><td>Exchange, Office 365 Outlook, Google Workspace Gmail, IMAP</td></tr><tr><td>/sharepointsite:&#x3C;site path>:[&#x3C;document library path>]</td><td>/sharepointsite:/sites/Site1:     <em>(all libraries)</em><br>/sharepointsite:/sites/Site1:/Documents    <em>(single library)</em></td><td>Sharepoint, OnPrem Sharepoint</td></tr><tr><td>/hub:&#x3C;hub_name></td><td>/hub:HubName</td><td>BIM360</td></tr><tr><td>/project:&#x3C;project_name></td><td>/project:ProjectName</td><td>BIM360</td></tr><tr><td>/bucket:&#x3C;bucket_name></td><td>/bucket:BucketName</td><td>Amazon S3, S3 Compatible, BiFrost Cloud, Digital Ocean, Filebase, IDrive Cloud, Lyve Cloud, Wasabi</td></tr><tr><td>/publicfolders:&#x3C;path></td><td>/publicfolders:All Public Folders</td><td>Exchange, Office 365 Outlook via EWS</td></tr><tr><td>No prefix</td><td>/Files</td><td>Backblaze B2, SFTP, Dropbox Personal, Google Cloud, Google Drive Personal, Azure Blob, Azure Files</td></tr></tbody></table>

#### Mapping Subfolders

You can select a specific subfolder to be transferred by specifying the folder path after the prefix.

Examples:

* `/user:alex@company.com/Interview Videos/2024`  &#x20;
* `/teamdrive:Finance/Reports/2024/Q4`
* `/sharepointsite:/sites/HR:/Documents/2024/Review Process`&#x20;

#### Additional Mapping Options

<table><thead><tr><th width="392.4921875">Setting</th><th>Behaviour</th></tr></thead><tbody><tr><td>Migrate folder contents (Don't retain root folder)</td><td><p><strong>Enabled:</strong> Only the contents of each specified source folder are migrated - the folder itself is not created in the destination.</p><p><br><strong>Disabled:</strong> The specified source folder is retained, and a matching subfolder is created in the destination.</p></td></tr><tr><td>Ignore checks on import</td><td>Skip validation of CSV source/destination paths (e.g. prefix formatting).<br><br>Contact support before enabling.  </td></tr></tbody></table>

### CSV Formatting - IMAP Credentials <a href="#id-01hfsz71kyec6x6s3rva8w9bn6" id="id-01hfsz71kyec6x6s3rva8w9bn6"></a>

When moving to/from an IMAP server, you can provide credentials for each user directly in the CSV file by specifying a "source\_secret" and/or "destination\_secret" column.<br>

The format for these columns are shown below.&#x20;

**Example (IMAP source):**

```
source,source_secret,destination
/mailbox:michael@couchdropdemo.com,michael@couchdropdemo.com:P@ssw0rd1,/mailbox:michael@newdomain
/mailbox:chris@couchdropdemo.com,chris@couchdropdemo.com:P@ssw0rd2,/mailbox:chris@newdomain.com
```

&#x20;

For help with CSV mappings, get in touch with support via <support@couchdrop.io>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movebot.io/using-movebot/transfer-mapping/import-csv-mappings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
